import request from '@/utils/request';
import { AgreementVO } from './types';

/**
 * 获取协议设置
 */
export function getAgreement(id: number) {
  return request({
    url: `/setting/agreement/${id}`,
    method: 'get'
  });
}

/**
 * 更新协议设置
 */
export function updateAgreement(data: AgreementVO) {
  return request({
    url: '/setting/agreement',
    method: 'put',
    data: data
  });
}
